{% load django_bootstrap5 %}
{% load panel_helpers %}

<h3>Details</h3>
<div class="card add-bottom-margin panel-details">
    <div class="card-body">
        <dl class="dl-separated">
            {% if request.user.is_authenticated and request.user.reviewer.is_GEL %}
                <dt>GEL status</dt>
                <dd>{{ entity.status }}</dd>
            {% endif %}
            {% if entity.moi %}
            <dt>Mode of Inheritance</dt>
            <dd>{{ entity.moi }}</dd>
            {% endif %}
            {% if entity.evidence.all %}
            <dt>Sources</dt>
            <dd>
                <ul>
                    {% for ev in entity.evidence.all %}
                        {% if ev.is_GEL %}
                            <li>{{ ev.name }}</li>
                        {% endif %}
                    {% endfor %}
                </ul>
                {% if request.user.is_authenticated and request.user.reviewer.is_GEL %}
                    <a
                        href="#"
                        class="link-muted"
                        hx-get="{% url 'panels:clear_entity_sources' panel.panel_id entity_type entity_name %}"
                        hx-swap="none"
                    >
                        Clear Sources
                    </a>
                {% endif %}
            </dd>
            {% endif %}
            {% if entity.phenotypes %}
                <dt>Phenotypes</dt>
                <dd>
                    <ul>
                        {% for phenotype in entity.phenotypes %}
                            {% if phenotype %}
                                <li>{{ phenotype }}</li>
                            {% endif %}
                        {% endfor %}
                    </ul>
                    {% if request.user.is_authenticated and request.user.reviewer.is_GEL %}
                        <a
                            href="#"
                            class="link-muted"
                            hx-get="{% url 'panels:clear_entity_phenotypes' panel.panel_id entity_type entity_name %}"
                            hx-swap="none"
                        >
                            Clear phenotypes
                        </a>
                    {% endif %}
                </dd>
            {% endif %}
            {% if entity.transcript %}
                <dt>Transcripts</dt>
                <dd>
                    <ul>
                        {% for transcript in entity.transcript %}
                            {% if transcript %}
                                <li>{{ transcript }}</li>
                            {% endif %}
                        {% endfor %}
                    </ul>
                    {% if request.user.is_authenticated and request.user.reviewer.is_GEL %}
                        <a
                            href="#"
                            class="link-muted"
                            hx-get="{% url 'panels:clear_entity_transcript' panel.panel_id entity_type entity_name %}"
                            hx-swap="none"
                        >
                            Clear phenotypes
                        </a>
                    {% endif %}
                </dd>
            {% endif %}
            {% if entity.tags.all %}
                <dt>Tags</dt>
                <dd class="tag-list">
                    {% for tag in entity.tags.all %}
                        <span class="label">{{ tag.name }}</span>
                    {% endfor %}
                </dd>
            {% endif %}
            {% if entity.gene.omim_gene|length > 0 %}
            <dt>OMIM</dt>
            <dd><a href="http://omim.org/entry/{{ entity.gene.omim_gene.0 }}" target="_blank">{{ entity.gene.omim_gene.0 }}</a></dd>
            {% endif %}
            <dt>Clinvar variants</dt>
            <dd>
                <a href="http://www.ncbi.nlm.nih.gov/clinvar?term={{ entity.gene.gene_symbol }}%5BGene%20Name%5D" target="_blank"> Variants in {{ entity.gene.gene_symbol }}</a>
            </dd>
            <dt>Penetrance</dt>
            <dd>{{ entity.penetrance }}</dd>
            {% if entity.publications %}
            <dt>Publications</dt>
            <dd>
                <ul>
                {% for publication in entity.publications %}
                    <li>{{ publication|pubmed_link|join:'' }}</li>
                {% endfor %}
                </ul>

                {% if request.user.is_authenticated and request.user.reviewer.is_GEL %}
                    <a
                        href="#"
                        class="link-muted"
                        hx-get="{% url 'panels:clear_entity_publications' panel.panel_id entity_type entity_name %}"
                        hx-swap="none"
                    >
                        Clear publications
                    </a>
                {% endif %}
            </dd>
            {% endif %}
            {% if entity.mode_of_pathogenicity %}
            <dt>Mode of Pathogenicity</dt>
            <dd>{{ entity.mode_of_pathogenicity }}</dd>
                {% if request.user.is_authenticated and request.user.reviewer.is_GEL %}
                    <a
                        href="#"
                        class="link-muted"
                        hx-get="{% url 'panels:clear_entity_mode_of_pathogenicity' panel.panel_id entity_type entity_name %}"
                        hx-swap="none"
                    >
                        Clear Mode of Pathogenicity
                    </a>
                {% endif %}
            {% endif %}
            <dt>Panels with this gene</dt>
            <dd>
                <ul>
                    {% for sharing_panel in sharing_panels %}
                        <li><a href="{% url 'panels:detail' sharing_panel.panel_id  %}">
                            {{ sharing_panel.panel.name }}
                        </a></li>
                    {% endfor %}
                </ul>
            </dd>
        </dl>
    </div>
  {% if request.user.is_authenticated and request.user.reviewer.is_GEL %}
  <div class="card-footer">
    <a href="{% url 'panels:edit_entity' panel.panel_id entity_type entity_name %}" class="btn btn-info" data-module="showhide" data-show=".edit-gene-form" data-hide=".card.panel-details">
      <i class="fa fa-edit"></i> Edit gene
    </a>
  </div>
  {% endif %}
</div>
{% if request.user.is_authenticated and request.user.reviewer.is_GEL %}
<form class="edit-gene-form form row d-none add-bottom-margin" action="{% url 'panels:edit_entity' panel.panel_id entity_type entity_name %}#!details" method="post">
  {% csrf_token %}
  <div class="col-md-12">
    <div class="card card-body bg-light">
      <fieldset>
        <legend class="card-header add-bottom-margin">Edit Gene</legend>
        {% for field in form_edit %}
          <div class="form-group">
            {% if field.name == "mode_of_pathogenicity" %}
                {% bootstrap_label field.label_tag %} <a data-bs-toggle="modal" href="#model_of_path" data-testid="details-show-info-mop" ><i class="fa fa-question-circle"></i></a>
            {% elif field.name == "moi" %}
                {% bootstrap_label field.label_tag %} <a data-bs-toggle="modal" href="#moi" data-testid="details-show-info-moi" ><i class="fa fa-question-circle"></i></a>
            {% else %}
                {% bootstrap_label field.label_tag %}
            {% endif %}

            {% bootstrap_field field show_label=False %}
          </div>
        {% endfor %}
        <a href="{{ entity.get_absolute_url }}" class="btn btn-outline-light-panelapp">Cancel</a>
        <button type="submit" class="btn btn-primary">Save</button>
      </fieldset>
  </div>
  </div>
</form>
{{ form_edit.media }}
{% endif %}
